package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum AchievementReleaseStatus {
	
	UNRELEASE(0, "成果未发布"),
	RELEASED(1, "成果已发布"),
	OTHER(2, "其他");

	private AchievementReleaseStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, AchievementReleaseStatus> status = new HashMap<Integer, AchievementReleaseStatus>();

	static {
		for (AchievementReleaseStatus value : AchievementReleaseStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static AchievementReleaseStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static AchievementReleaseStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
